Bug 20959 - Зависит от устаревшено пакета modutils
: Зависит от устаревшено пакета modutils
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rp-pppoe-client)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-08-05 19:21 by
Modified: 2012-03-16 14:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-05 19:21:10
Зависит от устаревшено пакета modutils, что делает невозможным его установку.
------- Comment #1 From 2009-08-08 00:17:51 -------
2sass: прошу отреагировать.
------- Comment #2 From 2009-08-11 01:25:52 -------
sass@ не появлялся с декабря, надо фиксить без него.
2vitty@: скорее всего, -- несложно, но нужен стенд (вроде даже есть или был).
------- Comment #3 From 2009-08-11 01:50:55 -------
pppoe стенда нет. Однако можно спросить в офисе нет ли у кого дома стрима.
------- Comment #4 From 2009-08-11 02:08:42 -------
Стрим есть у меня. Но модем роутером и менять его конфигурацию без крайней
необходимости мне бы не хотелось (я не единственный пользователь интернета
дома). Мне помнится Стас в офисе где-то поднимал pppoe сервер, если я ничего не
путаю.
------- Comment #5 From 2009-08-11 11:08:22 -------
у меня есть pppoe на сервере, который уже пора обновлять до текущего Sisyphus.

Собирайте пакет, проверю.
------- Comment #6 From 2009-08-11 11:09:30 -------
добавлю, что pppoe я использую через etcnet как клиента (подключение к
Домолинк).
------- Comment #7 From 2009-08-11 18:40:23 -------
Чтобы исправить конкретно эту багу - пакет надо просто пересобрать на текущем
Сизифе. Но там еще что-то страшное делается с resolv.conf, надо фиксить на
предмет поддержки openresolv.
------- Comment #8 From 2009-08-11 18:52:43 -------
(В ответ на комментарий №7)
> Чтобы исправить конкретно эту багу - пакет надо просто пересобрать на текущем
> Сизифе. Но там еще что-то страшное делается с resolv.conf, надо фиксить на
> предмет поддержки openresolv.

Только бы за этим еще и alterator-net-pppoe не поятнулся.
------- Comment #9 From 2009-08-11 19:00:22 -------
Для работы PPPoE через etcnet достаточно rp-pppoe-base (там ничего с резолвером
не делается).  В rp-pppoe-client находятся "родные" Roaring Penguin'овские
скрипты для поднятия PPPoE соединения.
------- Comment #10 From 2009-08-11 19:01:02 -------
(In reply to comment #8)
> Только бы за этим еще и alterator-net-pppoe не поятнулся.

Там надо исправить зависимость с -client на -base.
------- Comment #11 From 2009-08-11 19:19:07 -------
(В ответ на комментарий №9)
> Для работы PPPoE через etcnet достаточно rp-pppoe-base (там ничего с резолвером
> не делается).

Тогда можно пока просто пересобрать.

> В rp-pppoe-client находятся "родные" Roaring Penguin'овские
> скрипты для поднятия PPPoE соединения.

Вот в них и сносится resolv.conf.
------- Comment #12 From 2009-08-12 11:55:05 -------
(В ответ на комментарий №10)
> (In reply to comment #8)
> > Только бы за этим еще и alterator-net-pppoe не поятнулся.
> 
> Там надо исправить зависимость с -client на -base.
Отдельную багу пожалуйста, а то я забываю всё время.
------- Comment #13 From 2009-08-12 22:37:40 -------
(В ответ на комментарий №12)
> > > Только бы за этим еще и alterator-net-pppoe не поятнулся.
> > 
> > Там надо исправить зависимость с -client на -base.
> Отдельную багу пожалуйста, а то я забываю всё время.

Сделано, поэтому этот баг больше не distro-blocker.
------- Comment #14 From 2009-08-13 03:20:44 -------
(In reply to comment #5)
> у меня есть pppoe на сервере, который уже пора обновлять до текущего Sisyphus.
> 
> Собирайте пакет, проверю.

Собрал новую версию + обработка пакета рашпилем.
Жду обещанного тестирования :)